Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.print
Class JPrintableComponent

    com.developmentontheedge.print.LargePageable
      |
      +--com.developmentontheedge.print.JPrintableComponent

public class JPrintableComponent
extends LargePageable
implements Printable

Inner classes inherited from class com.developmentontheedge.print.LargePageable
`LargePageable.TranslatedPrintable`

Constructor Summary
`JPrintableComponent(JComponent c, PageFormat format)` Create a Pageable that can print a Swing JComponent over multiple pages.

Method Summary
`void` | `preview(Graphics graphics, PageFormat pageFormat, int pageIndex)`
`int` | `print(Graphics graphics, PageFormat pageFormat, int pageIndex)`
`void` | `scaleToFit(boolean useSymmetricScaling)`
`void` | `scaleToFitX()`
`void` | `scaleToFitY()`

Methods inherited from class com.developmentontheedge.print.LargePageable
`getNumberOfPages, getPageFormat, getPrintable`

Constructor Detail

### JPrintableComponent

    public JPrintableComponent(JComponent c, PageFormat format)

  Create a Pageable that can print a Swing JComponent over multiple pages.
  Parameters:
    c - The swing JComponent to be printed.
    format - The size of the pages over which the componenent will be printed.

Method Detail

### preview

    public void preview(Graphics graphics, PageFormat pageFormat, int pageIndex)
                  throws java.awt.print.PrinterException

### print

    public int print(Graphics graphics, PageFormat pageFormat, int pageIndex)
               throws java.awt.print.PrinterException

### scaleToFit

    public void scaleToFit(boolean useSymmetricScaling)

### scaleToFitX

    public void scaleToFitX()

### scaleToFitY

    public void scaleToFitY()

Association Links

to Class javax.swing.JComponent

  The Swing component to print.

to Class java.awt.event.ComponentListener

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM